Download it now!
Bug 121012 - Ctrl-click to follow hyperlink is not displayed inside shape or text box
Summary: Ctrl-click to follow hyperlink is not displayed inside shape or text box
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2018-10-29 10:51 UTC by Usama
Modified: 2019-07-11 14:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenvideogif (95.11 KB, image/gif)
2018-10-29 10:51 UTC, Usama
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Usama 2018-10-29 10:51:06 UTC
Created attachment 146126 [details]
screenvideogif

When I hover over a link that is inside a shape or inside a text box I only see the link address. It does not show the phrase "Ctrl-click to follow hyperlink" as it does when the link inside a normal cell.

Observed:
"Ctrl-click to follow hyperlink" doesn't show when hovering over a link inside a shape or text box

What is expected:

"Ctrl-click to follow hyperlink" should be displayed




Version: 6.2.0.0.alpha1+
Build ID: 96cf06c947838120e37f3fbb4d0543dd882cb20c
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-10-25_22:45:16
Locale: tr-TR (tr_TR.UTF-8); Calc: threaded
Comment 1 Usama 2018-10-29 10:52:23 UTC
File to test
https://bugs.documentfoundation.org/attachment.cgi?id=144647
Comment 2 Buovjaga 2018-10-29 11:00:37 UTC
Confirmed. In 3.3.0, even the link in the normal cell only showed the URL.

Arch Linux 64-bit
Version: 6.2.0.0.alpha1+
Build ID: bfa6aeb379e5dfcf6f1f97b3365ab551995ab3d5
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 28 October 2018
Comment 3 Buovjaga 2018-10-29 15:09:12 UTC
More cases where this happens when hovering over a hyperlink inside a shape or text box:
- you are in cell edit mode somewhere
- you are in text edit mode in a different shape or text box
Comment 4 Buovjaga 2018-10-29 15:11:37 UTC
I guess it would also make sense to fix this at the same time:
- when in text edit mode in a shape or text box with a hyperlink, no tip is displayed when hovering over the link
Comment 5 Buovjaga 2018-10-29 16:32:28 UTC
(In reply to Buovjaga from comment #4)
> I guess it would also make sense to fix this at the same time:
> - when in text edit mode in a shape or text box with a hyperlink, no tip is
> displayed when hovering over the link

This also happens, if you go in cell edit mode and hover over the link in A4 in attachment 144647 [details]
Comment 6 Commit Notification 2019-07-11 11:44:49 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/29400185a003bfe9cdbc6e744c4a0d0e40005b03%5E%21

tdf#121012 Display "Ctrl-click to follow hyperlink" inside shapes/textfields

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Buovjaga 2019-07-11 14:09:28 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: 29400185a003bfe9cdbc6e744c4a0d0e40005b03
CPU threads: 8; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 11 July 2019